%undefine __cmake_in_source_build

Summary:  KDE Frameworks 5 Tier 1 addon with item models
Name:     kf5-kitemmodels
Version:  5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release:  1%{?dist}
License:  LGPLv2+
URL:      https://invent.kde.org/frameworks/kitemmodels
Source0:  http://download.kde.org/%{stable}/frameworks/%{majmin}/kitemmodels-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros
BuildRequires:  pkgconfig(Qt5Core), pkgconfig(Qt5Qml)

Requires:       kf5-filesystem >= %{majmin}

%description
KDE Frameworks 5 Tier 1 addon with item models.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n kitemmodels-%{version}



%build
%{cmake_kf5}
%cmake_build



%install
%cmake_install



%files
%license LICENSES/*.txt
%doc README.md
%{_kf5_datadir}/qlogging-categories5/kitemmodels.*
%{_kf5_libdir}/libKF5ItemModels.so.*
%{_kf5_qmldir}/org/kde/kitemmodels/

%files devel
%{_kf5_includedir}/KItemModels/
%{_kf5_libdir}/libKF5ItemModels.so
%{_kf5_libdir}/cmake/KF5ItemModels/
%{_kf5_archdatadir}/mkspecs/modules/qt_KItemModels.pri



%changelog
* Tue Nov 28 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial